setwd("d:/00works/8Material/univ_semi/Beyes/CH8work")
source("R2WBwrapper.R")
clear.data.param() 

data81 <- read.csv("Box81data.csv")
	A1 <- as.list(data81)
	A2 <- list(NSTUDIES=4, NGROUPS=111, NCLASSES=21, MAXTOES=8)
A <- c(A1, A2)

init <- list(a=c(0.0,0.0,0.0,0.0), b=c(0.05,0.05,0.05,0.05),
	RR0=c(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0))


set.data("study", A$study)
set.data("classID", A$classID)
set.data("Toes", A$Toes)
set.data("y", A$y)
set.data("n", A$n)
set.data("NSTUDIES", A$NSTUDIES)
set.data("NGROUPS", A$NGROUPS)
set.data("NCLASSES", A$NCLASSES)
set.data("MAXTOES", A$MAXTOES)

set.param("a", init$a)
set.param("b", init$b)
set.param("RR0", init$RR0)


post.bugs2 <- call.bugs( 
    file.bug = "Box81b.txt", n.iter = 1000, 
    n.burnin = 100, n.thin = 1
)

plot(post.bugs2)
print(post.bugs2,digits.summary=2)
plot(to.list(post.bugs2), ask = TRUE)

